Bug 830763 - Review Request: jbosgi-framework - JBoss OSGi Core Framework
Review Request: jbosgi-framework - JBoss OSGi Core Framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On: 829329 829402 830125 830677 830750
Blocks: 832443 832446
  Show dependency treegraph
 
Reported: 2012-06-11 07:20 EDT by Marek Goldmann
Modified: 2012-07-05 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-06-11 07:20:18 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jbosgi-framework/1.1.8-1/jbosgi-framework.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jbosgi-framework/1.1.8-1/jbosgi-framework-1.1.8-1.fc17.src.rpm
Description: This package contains the JBoss OSGi Core Framework.
Fedora Account System Username: goldmann

Note for reviewer: there is a newer version available, but it's a major upgrade to what AS7 expects. Will be updated once AS7 move to newer version.
Comment 2 Marek Goldmann 2012-06-27 03:30:09 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4199373
Comment 3 Mikolaj Izdebski 2012-06-27 04:39:32 EDT
I am taking this review.
Comment 4 Mikolaj Izdebski 2012-06-27 04:42:59 EDT
So far it doesn't build because of missing jbosgi-deployment.
I added missing bug dependency and I will wait for jbosgi-deployment to appear in rawhide before continuing.
Comment 5 Mikolaj Izdebski 2012-06-27 05:53:55 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[!]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: jbosgi-framework-%{namedversion}.tar.xz (jbosgi-
     framework-%{namedversion}.tar.xz) Patch0: 0001-Disable-assembly-
     plugin.patch (0001-Disable-assembly-plugin.patch) Patch1: 0002-Disable-
     itest-module.patch (0002-Disable-itest-module.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Notes:

[?]: MUST Package installs properly.

I haven't verified if the package installs properly because one
requirement is not available in Fedora Rawhide yet.


Blocker issues:

[!]: MUST Package contains no bundled libraries.

jbosgi-framework bundles parts of felix-framework and felix-osgi-compendium.
Files in ./core/src/main/java/org/osgi/util/tracker come from felix-framework,
while ./core/src/main/java/org/osgi/util/xml/* comes from felix-osgi-compendium.

Bundled libraries need to be removed, or an exception from
Fedora Packaging Committee must be obtained. See:
http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

[!]: MUST License field in the package spec file matches the actual license.

The bundled libraries are made available under Apache License Version 2.0.
If they are to be kept, the license field must be changed to
LGPLv2+ and ASL 2.0.
Comment 7 Mikolaj Izdebski 2012-06-27 06:53:03 EDT
Tested on Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4199996

[!]: MUST Rpmlint output is silent.

rpmlint output:

$ rpmlint jbosgi-framework-1.1.8-3.fc17.src.rpm
jbosgi-framework.src: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jbosgi-framework.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jbosgi-framework.src: W: invalid-url Source0: jbosgi-framework-1.1.8.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint jbosgi-framework.spec
jbosgi-framework.spec: W: invalid-url Source0: jbosgi-framework-1.1.8.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jbosgi-framework-1.1.8-3.fc18.noarch.rpm 
jbosgi-framework.noarch: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jbosgi-framework.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint jbosgi-framework-javadoc-1.1.8-3.fc18.noarch.rpm
jbosgi-framework-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jbosgi-framework-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

The above rpmlint warnings can be ignored.

[x]: MUST Requires correct, justified where necessary.
[x]: MUST Package installs properly.
[x]: MUST Package contains no bundled libraries.
[x]: MUST License field in the package spec file matches the actual license.

Approved.
Comment 8 Marek Goldmann 2012-06-27 06:57:12 EDT
Thanks for review!

New Package SCM Request
=======================
Package Name: jbosgi-framework
Short Description: JBoss OSGi Core Framework
Owners: goldmann
Branches: f17
Comment 9 Gwyn Ciesla 2012-06-27 08:46:02 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-06-27 12:03:31 EDT
jbosgi-framework-1.1.8-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbosgi-framework-1.1.8-3.fc17
Comment 11 Fedora Update System 2012-06-27 23:21:40 EDT
jbosgi-framework-1.1.8-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-07-05 19:32:08 EDT
jbosgi-framework-1.1.8-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.